[Debian-tex-commits] SVN tex-common commit + diffs: r5192 - in tex-common/branches/v3: . debian texmf/web2c

Norbert Preining preining at alioth.debian.org
Fri Mar 9 23:15:25 UTC 2012


Author: preining
Date: 2012-03-09 23:15:25 +0000 (Fri, 09 Mar 2012)
New Revision: 5192

Removed:
   tex-common/branches/v3/texmf/web2c/updmap.cfg
Modified:
   tex-common/branches/v3/TODO
   tex-common/branches/v3/debian/postinst
   tex-common/branches/v3/debian/postrm
   tex-common/branches/v3/debian/rules
Log:
fixes for ucf remove code


Modified: tex-common/branches/v3/TODO
===================================================================
--- tex-common/branches/v3/TODO	2012-03-09 22:42:48 UTC (rev 5191)
+++ tex-common/branches/v3/TODO	2012-03-09 23:15:25 UTC (rev 5192)
@@ -1,3 +1,5 @@
+dpkg: warning: while removing tex-common, directory '/etc/texmf' not empty so not removed.
+
 * ucf move /etc/texmf/updmap.d/00updmap.cfg to /etc/texmf/web2c/updmap.cfg
 * ucf remove or disable if changed /etc/texmf/texmf.d/*
 

Modified: tex-common/branches/v3/debian/postinst
===================================================================
--- tex-common/branches/v3/debian/postinst	2012-03-09 22:42:48 UTC (rev 5191)
+++ tex-common/branches/v3/debian/postinst	2012-03-09 23:15:25 UTC (rev 5192)
@@ -31,6 +31,37 @@
 . /usr/share/debconf/confmodule
 db_version 2.0
 
+cleanup()
+{
+  rc=$?
+  [ -n "$tempdir" ] && rm -rf "$tempdir"
+  exit $rc
+}
+
+dhit_libkpathsea_configured ()
+{
+    kpsewhich --version >/dev/null 2>&1
+}
+
+dhit_build_format ()
+{
+
+    tempfile=$(mktemp -p /tmp fmtutil.XXXXXXXX)
+    printf "Building format(s) $*.\n\tThis may take some time... "
+    if fmtutil-sys "$@" > $tempfile 2>&1 ; then
+        rm -f $tempfile
+        echo "done."
+    else
+        exec >&2
+        echo
+        echo "fmtutil-sys failed. Output has been stored in"
+        echo "$tempfile"
+        echo "Please include this file if you report a bug."
+        echo
+        exit 1
+    fi
+}
+
 run_mtxrun_if_possible()
 {
     # code from postinst-tex
@@ -294,7 +325,7 @@
 
 ucf_is_changed() {
   file=$1
-  if  [ $(ucfq --with-colons $file | cut -f 4 --delimiter=:) = "Yes" ] ; then
+  if  [ "$(ucfq --with-colons $file | cut -f 4 --delimiter=:)" = "Yes" ] ; then
     # shell return codes are reverted!
     return 0
   else
@@ -352,17 +383,17 @@
     for i in $UCF_REMOVE ; do
         file=/etc/texmf/$i
         if [ -r $file ] ; then
-            if  $(ucf_is_changed $file) ; then
+            if ucf_is_changed $file ; then
                 cat > $file.postinst-bak <<EOF
 This file is no longer used and has therefore been renamed by the postinst 
 script of the tex-common package.
 EOF
                 cat $file >> $file.postinst-bak
-                rm $file
-                rm -f $file.ucf-old
-                rm -f $file.ucf-new
-                rm -f $file.ucf-dist
             fi
+            rm $file
+            rm -f $file.ucf-old
+            rm -f $file.ucf-new
+            rm -f $file.ucf-dist
         fi
         ucf --purge $file
         if test -x "`which ucfr`" ; then

Modified: tex-common/branches/v3/debian/postrm
===================================================================
--- tex-common/branches/v3/debian/postrm	2012-03-09 22:42:48 UTC (rev 5191)
+++ tex-common/branches/v3/debian/postrm	2012-03-09 23:15:25 UTC (rev 5192)
@@ -30,7 +30,7 @@
   remove)
     # remove TEXMFSYSVARDIR: All files and dirs are created either by
     # us, or by packages depending on us.
-    rm -rf $TEXMFSYSVARDIR
+    rm -rf /var/lib/texmf
     # same with obsolete /var/cache/fonts
     rm -rf /var/cache/fonts
     ;;

Modified: tex-common/branches/v3/debian/rules
===================================================================
--- tex-common/branches/v3/debian/rules	2012-03-09 22:42:48 UTC (rev 5191)
+++ tex-common/branches/v3/debian/rules	2012-03-09 23:15:25 UTC (rev 5192)
@@ -74,7 +74,6 @@
         # fontcache stuff with proper permissions
 	install -d $(INSTDIR)/etc/texmf/web2c/
 	install -m 644 texmf/web2c/mktex.cnf $(INSTDIR)/etc/texmf/web2c/
-	install -m 644 texmf/web2c/updmap.cfg $(INSTDIR)/etc/texmf/web2c/
 
         # Remove the out-of-date ls-R file from /usr/share/texmf and create a
         # link to one in /var/lib/texmf that we can update without violating

Deleted: tex-common/branches/v3/texmf/web2c/updmap.cfg
===================================================================
--- tex-common/branches/v3/texmf/web2c/updmap.cfg	2012-03-09 22:42:48 UTC (rev 5191)
+++ tex-common/branches/v3/texmf/web2c/updmap.cfg	2012-03-09 23:15:25 UTC (rev 5192)
@@ -1,71 +0,0 @@
-################################################################
-# OPTIONS
-################################################################
-#
-# dvipsPreferOutline
-#
-# Should dvips (by default) prefer bitmap fonts or outline fonts
-# if both are available? Independend of this setting, outlines
-# can be forced by putting "p psfonts_t1.map" into a config file
-# that dvips reads. Bitmaps (for the fonts in question) can
-# be forced by putting "p psfonts_pk.map" into a config file.
-# We provide such config files which can be enabled via
-# dvips -Poutline ... resp. dvips -Ppk ...
-#
-# Valid settings for dvipsPreferOutline are true / false:
-dvipsPreferOutline true
-
-#
-# LW35
-#
-# Which fonts for the "Basic 35 Laserwriter Fonts" do you want to use and
-# how are the filenames chosen? Valid settings:
-#   URW:     URW fonts with "vendor" filenames (e.g. n019064l.pfb)
-#   URWkb:   URW fonts with "berry" filenames (e.g. uhvbo8ac.pfb)
-#   ADOBE:   Adobe fonts with "vendor" filenames (e.g. hvnbo___.pfb)
-#   ADOBEkb: Adobe fonts with  "berry" filenames (e.g. phvbo8an.pfb)
-LW35 URWkb
-
-#
-# dvipsDownloadBase35
-# 
-# Should dvips (by default) download the standard 35 LaserWriter fonts
-# with the document (then set dvipsDownloadBase35 true) or should these
-# fonts be used from the ps interpreter / printer?
-# Whatever the default is, the user can override it by specifying
-# dvips -Pdownload35 ... resp. dvips -Pbuiltin35 ... to either download
-# the LW35 fonts resp. use the build-in fonts.
-#
-# Valid settings are true / false:
-dvipsDownloadBase35 false
-
-#
-# pdftexDownloadBase14
-#
-# Should pdftex download the base 14 pdf fonts? Since some configurations
-# (ps / pdf tools / printers) use bad default fonts, it is safer to download
-# the fonts. The pdf files will get bigger, though.
-# Valid settings are true (download the fonts) or false (don't download
-# the fonts). Adobe recommends to embed all fonts.
-pdftexDownloadBase14 true
-
-#
-# dvipdfmDownloadBase14
-#
-# Should dvipdfm download the base 14 pdf fonts? Since some configurations
-# (ps / pdf tools / printers) use bad default fonts, it is safer to download
-# the fonts. The pdf files will get bigger, though.
-# Valid settings are true (download the fonts) or false (don't download
-# the fonts).
-dvipdfmDownloadBase14 true
-
-################################################################
-# Map files.
-################################################################
-#
-# There are two possible entries: Map and MixedMap. Both have one additional
-# argument: the filename of the map file. MixedMap ("mixed" means that
-# the font is available as bitmap and as outline) lines will not be used
-# in the default map of dvips if dvipsPreferOutline is false. Inactive
-# Map files should be marked by "#! " (without the quotes), not just #.
-#




More information about the Debian-tex-commits mailing list